Last Comment Bug 837496 - Add command line argument to open a private window
: Add command line argument to open a private window
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.18
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on: 837492 837493
Blocks: 460895
  Show dependency treegraph
 
Reported: 2013-02-03 07:39 PST by neil@parkwaycc.co.uk
Modified: 2013-03-22 16:27 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (2.21 KB, patch)
2013-02-03 07:42 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: review+
Details | Diff | Splinter Review
With jump list support (5.62 KB, patch)
2013-02-16 15:59 PST, neil@parkwaycc.co.uk
philip.chee: review+
bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-02-03 07:39:36 PST
Firefox has had to support -private for its permanent private browsing mode and therefore uses -private-window for its per-window private browsing, but I'd like to stick to using -private.
Comment 1 neil@parkwaycc.co.uk 2013-02-03 07:42:28 PST
Created attachment 709476 [details] [diff] [review]
Proposed patch
Comment 2 Philip Chee 2013-02-14 07:32:09 PST
Comment on attachment 709476 [details] [diff] [review]
Proposed patch

r=me
Comment 3 neil@parkwaycc.co.uk 2013-02-14 16:24:58 PST
Hmm, it looks quite simple to add jump lists support. All I need is a jump list OS...
Comment 4 neil@parkwaycc.co.uk 2013-02-16 15:59:25 PST
Created attachment 714844 [details] [diff] [review]
With jump list support

I notice that jumplists work by starting a new instance, so they won't work if you use -no-remote, and I have no idea what will happen to -new-instance ;-)
Comment 5 Philip Chee 2013-02-18 08:58:33 PST
Comment on attachment 714844 [details] [diff] [review]
With jump list support

r=me for the nsBrowserContentHandler.js changes. I'll leave the jumplist changes to Frank (although I did test and it works [but not with "-no-remote" of course]).
Comment 6 neil@parkwaycc.co.uk 2013-02-18 16:30:55 PST
Pushed comm-central changeset cf724e16a465.
Comment 7 Frank Wein [:mcsmurf] 2013-03-22 16:27:07 PDT
Comment on attachment 714844 [details] [diff] [review]
With jump list support

Changes looks good and the feature works fine.

Note You need to log in before you can comment on or make changes to this bug.